<CsoundSynthesizer>

<CsInstruments>

;#################################################
0dbfs = 1.1
nchnls = 2
ksmps = 100

; aSyncin, FMod for instr 2
gafmod = 0
gasync = 0

; FM modulator for instr 2 (no output)
instr 1
	amp = 1

    ; freq start, end
    acps  line  p4, p3, p5
    ; shape start, end
    aclip  line  p6, p3, p7
    askew  line  p8, p3, p9

;   aout, async   squinewave   aFreq, aclip, askew [,asyncin, iMinSweep, iphase]
    gafmod, gasync   squinewave  acps, aclip, askew, 0, 0, p2

	; For visualization, don't play this!
	;outs1 gafmod
endin


; Raw squinewave, takes aFM and async input from i1
instr 2
    amp  =  1
    ; freq & shape start, end
    acps  line  p4, p3, p5
    aclip  line  p6, p3, p7
    askew  line  p8, p3, p9

    aFMindex line  p10, p3, p11
	;async = gasync * p12  ; (no sync in this patch)

;   ar   squinewave   aFreq,  aclip, askew [, asyncin, iMinSweep, iphase]
    aout1  squinewave   cpsoct(acps + aFMindex * gafmod), aclip, askew, 0, 0, p2

	amp linseg 1, p3-.05, 1, .03, 0
	outs2 amp  * aout1
endin



</CsInstruments>
<CsScore>

; Squinewave iphase test
;                     p6=clip   p8=skew   
i1 0  .25  2.07 2.05  .5   0    0  0  
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .
i1 +   .    .    .     .  .     .   .


;           p4=fund    clip    skew     p10=FM    p12=sync
i2 0  .25  8.05 9.05  .5  .3   .5  -.5  .6    3   0
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .
i2 +  .25   .    .     .   .    .   .    .    .   .


e

</CsScore>
</CsoundSynthesizer>
