<CsoundSynthesizer>

<CsInstruments>

;#################################################
0dbfs = 1.1
;nchnls = 2
ksmps = 100

; aSyncin, FMod for instr 2
gafmod = 0
gasync = 0

; FM modulator for instr 2 (no output)
instr 1
	amp = 1

    ; freq start, end
    acps  line  p4, p3, p5
    ; shape start, end
    aclip  line  p6, p3, p7
    askew  line  p8, p3, p9

;   aout, async   squinewave   aFreq, aclip, askew [,asyncin, iMinSweep, iphase]
    gafmod, gasync   squinewave  acps, aclip, askew, 0

endin


; Raw squinewave, takes aFM and async input from i1
instr 2
    amp  =  1
    ; freq & shape start, end
    acps  line  p4, p3, p5
    aclip  line  p6, p3, p7
    askew  line  p8, p3, p9

    aFMindex line  p10, p3, p11
	;async = gasync * p12  ; (no sync in this patch)

;   ar   squinewave   aFreq,  aclip, askew [, asyncin, iMinSweep, iphase]
    aout1  squinewave   cpsoct(acps + aFMindex * gafmod), aclip, askew, 0

	out aout1
endin



</CsInstruments>
<CsScore>

; Squinewave pulse FM

;          p4=fund   clip     skew    
i1 0  1.   1   1.5  .98 .97 -.96 -.93
i1 +  2.  pp5  1.3  pp7 .97  pp9 -.98
i1 +  3.  pp5   5   pp7 .95  pp9 -.95
i1 +  .5  pp5  33   pp7 .95  pp9 -.99
i1 +  .5  pp5  2.1  pp7 .5   pp9 -.1
i1 +  .5  pp5  21   pp7 .5   pp9 .1
i1 +  .5  pp5   1   pp7 .5   pp9 .1
i1 +  4.  pp5   3   pp7 .2   pp9 -.1
i1 +  4   pp5  24   pp7 .3   pp9 -.8
i1 +  .5  pp5   1   pp7 .5   pp9 -.1
i1 +  5   pp5  11   pp7 .2   pp9  -1
i1 +  2.5   pp5  10  pp7 .2   pp9  -1


;         p4=fund   clip     skew     p10=FM    p12=sync
i2 0.001  1  8.05 8.06  0   .3    .5  .5  .6    3   0
i2 +  2  pp5  8.08  pp7 .1   pp9  .6  pp11  2   .
i2 +  4  pp5  8.11  pp7 .3   pp9  .5  pp11  2   .
i2 +  5  pp5  6.11  pp7 .0   pp9  .0  pp11  3   .
i2 +  4  pp5  7.05  pp7 .1   pp9 -.5  pp11  6   .
i2 +  .5 pp5  8.06  pp7 .5   pp9 -.1  pp11  <   .
i2 +  5  pp5  4.06  pp7 .5   pp9 -1   pp11  0   .
i2 +  3  pp5  4.06  pp7 .5   pp9 -1   pp11  1   .


e

</CsScore>
</CsoundSynthesizer>
